<?xml version="1.0" encoding="UTF-8"?>

<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
    <xsl:output method="html"/>

    <xsl:template match="/people|/lidé">
        <html>
            <head>
                <title>People from <xsl:value-of select="@organization"/></title>
            </head>
            <body>
                VIP Section:<br/>
                <xsl:apply-templates select="person[@uco &lt; 100]"/>
                Others:<br/>
                <xsl:for-each select="person[@uco &gt;= 100]">
                    Name: <xsl:value-of select="name"/><br/>
                </xsl:for-each>
            </body>
        </html>
    </xsl:template>

    <xsl:template match="person[@uco = 0]">
        <div style="color: green">
            <xsl:call-template name="person-base">
                <xsl:with-param name="category" select="'special'"/>
            </xsl:call-template>
        </div>
    </xsl:template>

    <xsl:template match="person[@uco &lt; 100]" priority="-1">
        <div style="color: gray">
            <xsl:call-template name="person-base">
                <xsl:with-param name="category" select="'vip'"/>
            </xsl:call-template>
        </div>
    </xsl:template>

    <xsl:template match="person" priority="-100">
        <xsl:call-template name="person-base"/>
        <xsl:apply-templates select="description|salary"/>
    </xsl:template>

    <xsl:template name="person-base">
        <xsl:param name="category"/>
        <h1>
            <xsl:choose>
                <xsl:when test="$category='normal'">Name</xsl:when>
                <xsl:when test="$category='vip'">VIP</xsl:when>
                <xsl:otherwise>Unknown category</xsl:otherwise>
            </xsl:choose>
            <xsl:text>: </xsl:text>
        <xsl:value-of select="name"/>&#160;(<xsl:value-of select="@uco"/>)</h1>
        <p class="role">Role: <strong><xsl:value-of select="role"/></strong></p>
    </xsl:template>

    <xsl:template match="description">
        <em><xsl:value-of select="."/></em>
    </xsl:template>

    <xsl:template match="salary">
        <xsl:if test="preceding-sibling::description">&#160;</xsl:if>
        <b><xsl:value-of select="."/> CZK</b>
    </xsl:template>
</xsl:stylesheet>
